skip_on_ci()

test_that("render_reports works", {
  path <- tempfile(pattern = "dir")
  create_fairify(path, open = FALSE)
  add_report("my_report", path)
  render_reports(reports_dir = file.path(path, "reports"),
                 output_format = "bookdown::gitbook")
  report_path <- file.path(path, "public/reports/my_report")
  expect_true(dir.exists(report_path))
  expect_true(file.exists(file.path(report_path, "index.html")))
  render_reports(reports_dir = file.path(path, "reports"),
                 output_format = "bookdown::pdf_book")
  expect_true(file.exists(file.path(path, "public/reports/my_report/report.pdf")))
})
